View Issue Details

IDProjectCategoryView StatusLast Update
0004174unrealircdpublic2015-05-27 18:07
ReporterkatsklawAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-alpha3 
Summary0004174: Remove WebTV Part 3
DescriptionThis is built from hg unreal34 branch.
TagsNo tags attached.
3rd party modules

Activities

katsklaw

2013-02-21 04:04

reporter  

webtv.part3.patch (9,400 bytes)

nenolod

2013-02-22 09:13

reporter   ~0017432

The problem with this patch is that it removes webtv_parse() which is used by other components, like the CTCP version checker.

Personally, though, I am of the opinion that the CTCP version checker should be offloaded to a bot or services, but I want to make sure it is OK to remove that functionality before I commit it.

Syzop, opinion?

katsklaw

2013-02-25 03:31

reporter   ~0017440

hi,

I'm a little confused here. grep shows that references to the webtv_parse() function appears no where other than m_messages.c, which this patch removes.

Please point me to where the CTCP version checker uses this function.

thanks

scott@laptop:~/unreal34$ grep -ir "webtv_parse" .
./src/modules/m_message.c:static int webtv_parse(aClient *sptr, char *string);
./src/modules/m_message.c: ret = webtv_parse(sptr, parv[2]);
./src/modules/m_message.c:static int webtv_parse(aClient *sptr, char *string)

nenolod

2013-02-25 05:51

reporter   ~0017441

put more simply, webtv_parse() contains logic for the CTCP checker, which your patch also removes... thus, i think we should leave it for now until we decide the future of the CTCP checker (personally i would prefer to remove it)

syzop

2013-03-02 18:57

administrator   ~0017456

Sorry for the delay.

I'm ok with having all webtv stuff removed, but the CTCP VERSION checker (the ban version { } block) should not be removed. It's used by quite a number of people.
If people (also) want to use a (services) bot for that, fine, but we don't want to remove this functionality from core UnrealIRCd.

So, you'll probably have to recode the version checker if you want to remove all the other webtv stuff (which is a good idea). Can't be that hard, though :)

syzop

2013-03-02 18:58

administrator   ~0017457

-> set to 'new' until new patch is made.

syzop

2015-05-27 18:07

administrator   ~0018349

webtv is completely gone now, ban version { } stuff has been rewritten to allow for this.

https://github.com/unrealircd/unrealircd/commit/a109bdb0f6f9d1d2d3af5897697102e63a5b0235

Issue History

Date Modified Username Field Change
2013-02-21 04:04 katsklaw New Issue
2013-02-21 04:04 katsklaw File Added: webtv.part3.patch
2013-02-21 04:04 Stealth Assigned To => nenolod
2013-02-21 04:04 Stealth Status new => assigned
2013-02-21 04:04 katsklaw Status assigned => has patch
2013-02-22 09:13 nenolod Note Added: 0017432
2013-02-25 03:31 katsklaw Note Added: 0017440
2013-02-25 05:51 nenolod Note Added: 0017441
2013-03-02 18:57 syzop Note Added: 0017456
2013-03-02 18:58 syzop Note Added: 0017457
2013-03-02 18:58 syzop Assigned To nenolod =>
2013-03-02 18:58 syzop Status has patch => new
2015-05-27 18:07 syzop Note Added: 0018349
2015-05-27 18:07 syzop Status new => resolved
2015-05-27 18:07 syzop Fixed in Version => 3.4-alpha3
2015-05-27 18:07 syzop Resolution open => fixed
2015-05-27 18:07 syzop Assigned To => syzop